Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I make:

 /configure linuxx8664gcc --prefix=/usr/local \
--with-gsl-incdir=/usr/local/include/gsl \
--with-gsl-libdir=/usr/local/lib \
--enable-rpath

Then make and I get this error:

 make
gcc -O2 -pipe -m64 -Wshadow -Wall -W -fPIC -Iinclude -DR__HAVE_CONFIG -pthread -DINCLUDEDIR=\"/usr/include\" -DOBJSUFFIX=\".o\" -o build/rmkdepend/main.o -c /usr/share/root/build/rmkdepend/main.c
/usr/share/root/build/rmkdepend/main.c:64:12: error: conflicting types for ‘fchmod’
 extern int fchmod(int, int);
            ^
In file included from /usr/share/root/build/rmkdepend/def.h:42:0,
                 from /usr/share/root/build/rmkdepend/main.c:30:
/usr/include/x86_64-linux-gnu/sys/stat.h:298:12: note: previous declaration of ‘fchmod’ was here
 extern int fchmod (int __fd, __mode_t __mode) __THROW;
            ^
Running /usr/share/root/build/unix/compiledata.sh
Changing include/compiledata.h
Running /usr/share/root/cint/ROOT/configcint.mk
Changing cint/cint/inc/configcint.h
bin/rmkdepend -R -fcint/cint/src/g__cfunc.d -Y -w 1000 -- -pipe -m64 -Wall -W -fPIC -Iinclude -DR__HAVE_CONFIG -DG__REGEXP -DG__UNIX -DG__SHAREDLIB -DG__OSFDLL -DG__ROOT -DG__REDIRECTIO -DG__STD_EXCEPTION -DG__64BIT -DG__HAVE_CONFIG -DG__NOMAKEINFO -DG__CINTBODY  -I/usr/share/root/cint/cint/inc -I/usr/share/root/cint/cint/src -I/usr/share/root/cint/cint/src/dict -pthread -I. -- /usr/share/root/cint/cint/src/g__cfunc.c
make: bin/rmkdepend: Command not found
make: *** [cint/cint/src/g__cfunc.o] Error 127
VERCION DE UBUNTU 12.04 LTS enero 2014
Paso_0:Instale las librerias necesarias(Con Synaptic):
gfortran, libxpm4, libxpm-dev, libxft-devel,libxext-dev

ver requisitos en la pagina:http://root.cern.ch/drupal/content/build-prerequisites


Paso_1:
* Descargar el paquete gsl-1.16.tar.gz, de la pagina: http://www.gnu.org/software/gsl
* Descargar vercion de root: root_v5.30.06.source.tar.gz
(Puede intentar con otra vercion, la vercion 30.06 ha sido verificada)

Paso_2:
Ir al directorio "/usr/share" 
cd /usr/share

Descomprimir gsl-1.16.tar.gz
sudo tar xvf /home/tu_usuario/Descargas/gsl-1.16.tar.gz   
Ir al directorio  "gsl-1.16"
cd gsl-1.16

Ejecutar:
sudo ./configure 
sudo make 
sudo make install 

Paso_3:
Descomprimir root_v5.30.06.source.tar.gz
sudo tar xvf /home/tu_usuario/Descargas/root_v5.30.06.source.tar.gz
Ir al directorio "root" 
cd root
Elaborar un script con lo siguiente:
sudo nano Rscript.sh

Una vez dentro escribir lo siguiente:
sudo ./configure linuxx8664gcc --prefix=/usr/local --with-gsl-incdir=/usr/local/include/gsl --with-gsl-libdir=/usr/local/lib --enable-explicitlink
Cerrar y guardar con Control+x y poner "y" de yes.

Ejecutar script:
source  Rscript.sh
despues ejecutar:
sudo make (Si esto no llegase a funcionar en el paso "make" agregue al script: --enable-rpath o --enable-soversion, o ambas)

sudo make install 
En principio esto deberia hacer funcionar root de ser asi el proceso ha terminado, pero puede surgir el siguiente error:

"Couldn't find font "-adobe-helvetica-medium-r-*-*-10-*-*-*-*-*-iso8859-1",
trying "fixed". Please fix your system so helvetica can be found,
this font typically is in the rpm (or pkg equivalent) package
XFree86-[75,100]dpi-fonts or fonts-xorg-[75,100]dpi.
/ usr/local/bin/root.exe: error while loading shared libraries: libCore.so: cannot open shared object file: No such file or directory"

De ser así ejecute lo siguiente en la Terminal:
sudo apt-get install xfs xfstt
Al finalizar en el gestor de paquetes synaptic instale los siguientes paquetes:
*-t1-xfree86-nonfree - non-free Postscript Type 1 fonts from XFree86
*-ttf-xfree86-nonfree - non-free TrueType fonts from XFree86
*-ttf-xfree86-nonfree-syriac - non-free syriac OpenType fonts from XFree86
*-xfonts-75dpi - 75 dpi fonts for X
*-xfonts-100dpi - 100 dpi fonts for X

Reinicie su equipo y ejecute:
source /usr/share/root/bin/thisroot.sh 
y escriba root 
Deberia de funcionar (de no ser así podrian faltar paquetes del Paso_0 instalelos todos y reinicie la instalación).
share|improve this question
    
sudo apt-get install root-system (see available versions at packages.ubuntu.com/source/root-system - for some reason there isn't a build for 12.04 precise, although it's available for every other currently-supported version). –  chronitis Feb 19 at 10:25

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.